<template >
  <div class="left-module">
    <ModuleBgBox name="改革试点">
      <div class="content">
        <div class="top-content">
          <div class="top-item">
            <div class="item-data">
              <div class="title">
                累计承接 <br />
                国家级改革试点
              </div >
              <div class="value"><span >66</span >项</div >
            </div >
            <div class="item-data">
              <div class="title">
                在全市区县排
              </div >
              <div class="value"><span >10</span >位</div >
            </div >
            <div class="item-data">
              <div class="title">
                本季度新增
              </div >
              <div class="value"><span >6</span >项</div >
            </div >
            <div class="chart" ref="charts"></div >
          </div >
          <div class="top-item">
            <div class="item-data">
              <div class="title">
                累计承接 <br />
                市级改革试点
              </div >
              <div class="value"><span >66</span >项</div >
            </div >
            <div class="item-data">
              <div class="title">
                在全市区县排
              </div >
              <div class="value"><span >10</span >位</div >
            </div >
            <div class="item-data">
              <div class="title">
                本季度新增
              </div >
              <div class="value"><span >6</span >项</div >
            </div >
            <div class="chart" ref="chart"></div >
          </div >
        </div >
        <div class="sub-name">
          <div class="bar">
            <img src="@/assets/img/inportantCity/组 10.png" alt=""/>
          </div >
          <div class="name">试点成果</div >
          <div class="bar">
            <img src="@/assets/img/inportantCity/组 10 拷贝.png" alt=""/>
          </div >
        </div >
        <div class="rol ">
          <div class="rol-item">
            <div class="rol-name">
              <span >
                [
              </span >
              <div class="txt">
                搭建工作平台
              </div >
              <span >
                ]
              </span >
            </div >
            <div class="rol-data">
              <div class="top">累计<span >2</span >个</div >
              <div class="bottom">
                较上期
                <div class="num">
                  1 <img src="@/assets/img/inportantCity/图标.png" alt=""/>
                </div >
                个
              </div >
            </div >
          </div >
          <div class="rol-item">
            <div class="rol-name">
              <span >
                [
              </span >
              <div class="txt">
                形成制度成果
              </div >
              <span >
                ]
              </span >
            </div >
            <div class="rol-data">
              <div class="top">累计<span >2</span >个</div >
              <div class="bottom">
                较上期
                <div class="num">
                  2 <img src="@/assets/img/inportantCity/图标.png" alt=""/>
                </div >
                个
              </div >
            </div >
          </div >
        </div >
        <div class="bgs">
          <div class="rol-name">
            <span >
              [
            </span >
            <div class="txt">
              上线应用场景
            </div >
            <span >
              ]
            </span >
          </div >
          <div class="reform-pilot-item-inner">
            <div class="item-inner-left">
              累计<span style="margin:0 5px">3</span >个
            </div >
            <div class="img-box">
              <img
                :src="require('@/assets/img/MajorProjectsSubView/min3.png')"
                class="min-arrow"
              />
              <img
                :src="require('@/assets/img/MajorProjectsSubView/bg.png')"
                class="icon-arrow"
              />
            </div >
            <div class="item-inner-right">
              较上期
              <div class="has-bg">3</div >
              个
            </div >
          </div >
        </div >
      </div >
    </ModuleBgBox >
  </div >
</template >
<script >
import ModuleBgBox from '@/views/BigScreen/components/ModuleBgBox.vue'
import * as echarts from 'echarts'

export default {
  name: 'LeftModule',
  components: {ModuleBgBox},
  data() {
    return {
      option: null,
      options: null
    }
  },
  created() {
  },
  mounted() {
    this.initChart()
    this.initChartTwo()
  },
  methods: {
    initChart() {
      let myChart = echarts.init(this.$refs.charts)
      this.option = {
        tooltip: {
          trigger: 'item'
        },
        legend: {
          top: '5%',
          left: 'center',
          textStyle: {
            color: 'rgba(177, 227, 255, 1)',
            fontWeight: 400,
            fontSize: 13
          },
          itemWidth: 12,
          itemHeight: 8,
          selectedMode: false
        },
        series: [
          {
            // name: 'Access From',
            type: 'pie',
            radius: ['25%', '50%'],
            center: ['50%', '60%'],

            startAngle: 180,
            label: {
              show: true,
              formatter(param) {
                return param.name + ' (' + param.percent * 2 + '%)'
              },
              textStyle: {
                color: 'rgba(177, 227, 255, 1)',
                fontWeight: 400,
                fontSize: 13
              }
            },
            color: ['rgba(255, 252, 136, 1)', 'rgba(53, 254, 244, 1)'],
            data: [
              {value: 1048, name: '已验收'},
              {value: 1048, name: '推进中'}
            ]
          }
        ]
      }

      this.option && myChart.setOption(this.option)
      window.addEventListener('resize', () => myChart.resize())
    },
    initChartTwo() {
      let myChart = echarts.init(this.$refs.chart)
      this.options = {
        tooltip: {
          trigger: 'item'
        },
        legend: {
          top: '5%',
          left: 'center',
          textStyle: {
            color: 'rgba(177, 227, 255, 1)',
            fontWeight: 400,
            fontSize: 13
          },

          itemWidth: 12,
          itemHeight: 8,
          selectedMode: false
        },
        series: [
          {
            // name: 'Access From',
            type: 'pie',
            radius: ['25%', '50%'],
            center: ['50%', '60%'],

            startAngle: 180,
            label: {
              show: true,
              formatter(param) {
                return param.name + ' (' + param.percent * 2 + '%)'
              },
              textStyle: {
                color: 'rgba(177, 227, 255, 1)',
                fontWeight: 400,
                fontSize: 13
              }
            },
            color: ['rgba(255, 252, 136, 1)', 'rgba(53, 254, 244, 1)'],
            data: [
              {value: 1048, name: '已验收'},
              {value: 1048, name: '推进中'}
            ]
          }
        ]
      }

      this.options && myChart.setOption(this.options)
      window.addEventListener('resize', () => myChart.resize())
    }
  }
}
</script >
<style scoped lang="scss">
.left-module {
  width: 100%;
  height: 100%;

  .content {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    padding: 13px;

    .top-content {
      display: flex;
      justify-content: space-between;
      height: 54%;

      .top-item {
        width: 49%;
        height: 100%;
        background: url('~@/assets/img/inportantCity/back1.png') no-repeat;
        background-size: 100% 100%;

        .item-data {
          width: 98%;
          height: 17%;
          margin: 0 auto;
          background: #053780;
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;

          .title {
            // padding-top: 11px;
            font-size: 14px;
            font-family: SimHei;
            font-weight: 400;
            color: #ffffff;
            line-height: 19px;
            text-align: center;
            // margin-bottom: 12px;
          }

          &:first-child {
            border-radius: 20px 20px 0 0;
            margin-top: 2px;

            .title {
              margin: 0;
            }
          }

          &:nth-child(2) {
            background: transparent;
          }

          .value {
            text-align: center;
            font-size: 14px;
            font-family: SimHei;
            font-weight: 400;
            color: #ffffff;
            // line-height: 25px;
            span {
              font-size: 24px;
              font-family: SimHei;
              font-weight: 400;
              color: #35fef4;
              line-height: 25px;
              margin-right: 5px;
            }
          }
        }

        .chart {
          height: 48%;
        }
      }
    }
  }

  .sub-name {
    display: flex;
    align-items: center;
    justify-content: space-between;

    height: 6%;

    .name {
      font-size: 20px;
      font-family: SimHei;
      font-weight: 400;
      color: #ffffff;
      text-shadow: 0px 0px 16px #266bf2;
    }

    .bar {
      width: 99px;
    }
  }

  .rol {
    height: 17.8%;
    width: 100%;

    margin-top: 3%;
    display: flex;
    justify-content: space-between;

    .rol-item {
      height: 100%;
      width: 48%;
      background: url('~@/assets/img/inportantCity/sub.png') no-repeat;
      background-size: 100% 100%;
      position: relative;

      .rol-name {
        position: absolute;
        width: 100%;
        left: 50%;
        top: -10%;
        transform: translateX(-50%);
        display: flex;
        align-items: center;
        justify-content: center;

        .txt {
          margin: 0 9px;
          font-size: 18px;
          font-family: SimHei;
          font-weight: 400;
          color: #ffffff;
        }

        span {
          color: rgba(2, 115, 233, 1);
          font-size: 20px;
        }
      }

      .rol-data {
        .top {
          font-size: 16px;
          font-family: SimHei;
          font-weight: 400;
          color: #e7efff;
          text-align: center;
          margin-top: 4%;

          span {
            font-size: 32px;
            color: rgba(124, 232, 248, 1);
            margin: 0 5px;
          }
        }

        .bottom {
          display: flex;
          justify-content: center;
          align-items: center;
          font-size: 16px;
          font-family: SimHei;
          font-weight: 400;
          color: #ffffff;

          .num {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 37px;
            height: 35px;
            background: url('~@/assets/img/inportantCity/形状 894.png') no-repeat;
            background-size: 100% 100%;
            font-size: 24px;
            font-family: SimHei;
            font-weight: 400;
            color: #ffffff;
            position: relative;

            img {
              position: absolute;
              bottom: -26px;
            }
          }
        }
      }
    }
  }

  .bgs {
    height: 17.8%;
    width: 100%;

    margin-top: 5%;
    background: url('~@/assets/img/inportantCity/long.png') no-repeat;
    background-size: 100% 100%;
    position: relative;

    .rol-name {
      position: absolute;
      width: 100%;
      left: 50%;
      top: -10%;
      transform: translateX(-50%);
      display: flex;
      align-items: center;
      justify-content: center;

      .txt {
        margin: 0 9px;
        font-size: 18px;
        font-family: SimHei;
        font-weight: 400;
        color: #ffffff;
      }

      span {
        color: rgba(2, 115, 233, 1);
        font-size: 20px;
      }
    }

    .reform-pilot-item-inner {
      display: flex;
      align-items: center;
      justify-content: space-between;
      box-sizing: border-box;
      height: 100%;
      padding-left: 28px;

      .item-inner-left {
        width: 21%;
        height: 26px;
        margin-left: 6%;
        font-size: 14px;
        font-family: SimHei;
        font-weight: bold;
        color: #e7efff;
        display: flex;
        flex-direction: row;
        align-items: baseline;

        span {
          font-size: 26px;
          font-family: Source Han Sans SC;
          font-weight: 400;
          color: #7ce8f8;
        }
      }

      .img-box {
        position: relative;
        width: 102px;
        height: 77px;

        .icon-arrow {
          width: 102px;
          height: 77px;
        }

        .min-arrow {
          width: 30px;
          height: 28px;
          position: absolute;
          left: 50%;
          transform: translateX(-50%);
        }
      }

      .item-inner-right {
        width: 35%;

        font-size: 14px;
        font-family: SimHei;
        font-weight: bold;
        color: #e7efff;
        display: flex;
        flex-direction: row;
        align-items: baseline;
        margin: 0;

        .has-bg {
          background: url('~@/assets/img/MajorProjectsSubView/up.png') no-repeat;
          background-size: 100% 100%;
          // vertical-align: middle;
          display: flex;
          align-items: center;
          justify-content: center;
          width: 56px;
          height: 60px;

          font-size: 32px;
          font-family: Source Han Sans SC;
          font-weight: 400;
          color: #ffffff;
        }
      }
    }
  }
}
</style >
